Opened 7 years ago

Closed 6 years ago

#16258 closed defect (duplicate)

DirichletGroup does not work for rings with unhashable elements

Reported by: saraedum Owned by:
Priority: minor Milestone: sage-duplicate/invalid/wontfix
Component: modular forms Keywords: padics, sd59, hash
Cc: Merged in:
Authors: Julian Rueth Reviewers:
Report Upstream: N/A Work issues:
Branch: u/saraedum/ticket/16258 (Commits, GitHub, GitLab) Commit: 6ce4fc8365ef7500e7558fca78fdedceb4343a22
Dependencies: #16317 Stopgaps:

Status badges

Description

The following fails because p-adics are not hashable:

sage: K.<a> = Qq(9)
sage: DirichletGroup(2,base_ring=K,zeta=K(-1),zeta_order=2)
TypeError: unhashable type: 'sage.rings.padics.padic_ZZ_pX_CR_element.pAdicZZpXCRElement'

Change History (9)

comment:1 Changed 7 years ago by vbraun_spam

  • Milestone changed from sage-6.2 to sage-6.3

comment:2 Changed 7 years ago by saraedum

  • Branch set to u/saraedum/ticket/16258
  • Created changed from 04/28/14 11:01:22 to 04/28/14 11:01:22
  • Modified changed from 05/06/14 15:20:58 to 05/06/14 15:20:58

comment:3 Changed 7 years ago by git

  • Commit set to 6ce4fc8365ef7500e7558fca78fdedceb4343a22

Branch pushed to git repo; I updated commit sha1. New commits:

78879f0Merge branch 'develop' into ticket/16258
7a0f094Introduced _cache_key for sage objects
fa16bc7Merge branch 'u/saraedum/ticket/16251' of git://trac.sagemath.org/sage into ticket/16316
798aaf8Implemented _cache_key() for polynomials
877302eEnable caching for non-hashable objects
ba9befaEnabled caching for unhashable objects in factories
f661642Merge branch 'u/saraedum/ticket/16317' of git://trac.sagemath.org/sage into ticket/16258
6ce4fc8fixed doctest

comment:4 Changed 7 years ago by saraedum

  • Dependencies set to #16317
  • Modified changed from 06/26/14 07:44:01 to 06/26/14 07:44:01

comment:5 Changed 7 years ago by saraedum

  • Authors set to Julian Rueth
  • Keywords padics sd59 hash added
  • Status changed from new to needs_review

comment:6 Changed 7 years ago by vbraun_spam

  • Milestone changed from sage-6.3 to sage-6.4

comment:7 Changed 6 years ago by jdemeyer

  • Status changed from needs_review to needs_work

What's the relation between #16342 and #16258? In any case, needs rebasing.

comment:8 Changed 6 years ago by saraedum

  • Milestone changed from sage-6.4 to sage-duplicate/invalid/wontfix
  • Status changed from needs_work to positive_review

Oops, it seems I fixed the same bug twice.

comment:9 Changed 6 years ago by vbraun

  • Resolution set to duplicate
  • Status changed from positive_review to closed
Note: See TracTickets for help on using tickets.